==================================================
# nanofip-gw
==================================================

This repository is meant to re-organise the nanofip svn repository:
http://svn.ohwr.org/cern-fip/trunk/hdl

As some of the nanofip code will be re-used (e.g. by the masterfip), 
it had to be made available as a git sub-module.
Also, Manifest files have been added to be able to use it with hdlmake.

The folder structure has been re-arranged to better fit ohwr project practices.


TODO
--------------------------------------------------

* Clean-up and import cad/ and test_bench/ folders from svn.
  -> only keep useful files (not all big tmp/intermediary files).

# How to build Nanofip
In order to build nanofip in a Linux machine, you will need [Libero SoC 11.9 SP6 Software](https://www.microchip.com/en-us/products/fpgas-and-plds/fpga-and-soc-design-tools/fpga/libero-software-early-versions) and Ubuntu 16.04 or earlier.

The steps to build nanofip project and generate the bitstream are:
```
 - cd syn/
 - libero SCRIPT:build_nanofip.tcl
```

# How to flash Nanofip
In order to flash Nanofip you need to have Windows OS or use a Virtual Machine with Windows and **FlashPro** Software tool. In addition you will need  either FlashPro 5 JTAG connector.
